import mcode


def test_material_encoding() -> None:
    """Basic integration test for material encoding."""
    coeffs = [
        mcode.material.Coeffs(r=0.3, s=0.1, t=0.1, c=0.1),
        mcode.material.Coeffs(r=0.3, s=0.1, t=0.1, c=0.1),
        mcode.material.Coeffs(r=0.3, s=0.1, t=0.1, c=0.1),
        mcode.material.Coeffs(r=0.3, s=0.1, t=0.1, c=0.1),
    ]
    freq_grid_index = 7
    materials = [mcode.material.Material(freq_grid_index, coeffs)]

    blob = mcode.material.encode(mat_qnt_step=0.001, materials=materials)

    assert len(blob) != 0
    assert isinstance(blob, bytes)
