function(add_framework target framework)
    if(APPLE)
        find_library(found_${framework} ${framework})

        if(${found_${framework}} STREQUAL "${framework}-NOTFOUND")
            message(FATAL_ERROR "ERROR: ${framework} not found (${CMAKE_OSX_SYSROOT})")
        endif()

        message(STATUS "Found framework ${found_${framework}}")

        target_link_libraries(${target} "-framework ${framework}")
    endif()
endfunction()
