import mcode


def test_encode_basic_directivity() -> None:
    """Basic integration test for direcitivty encoding."""
    coeffs = [0.5] * (1 + 4 + 8 + 4 + 1)
    cover = mcode.directivity.Cover(freq=31.0, gains=coeffs)

    blob = mcode.directivity.encode(deg_step=45.0, db_step=0.5, covers=[cover])

    assert len(blob) != 0
    assert isinstance(blob, bytes)
