# ConsoleDebugPrintingStage

## Author

Fraunhofer IIS

## About

The ConsoleDebugPrintingStage is an optional rendering stage for printing render item data in real-time. It is provided "as is" without any kind of warrenty. When added to the list of rendering stages, it will print out all render items which are available within the update thread at the given processing step of the rendering pipeline. To avoid that the terminal app from which the renderer is started is flooded by the text output, only every N-th update call will be printed (default: every 100th update call). The ConsoleDebugPrintingStage uses color highlighting for better clarity.

## Usage

The ConsoleDebugPrintingStage is not activated by default. To do so, it must be added to the `MPEGI_DEFAULT_STAGES` list in `/CMakeLists.txt`. Adding it to the end of `MPEGI_DEFAULT_STAGES` will print out the final render item list as seen by the audio thread. It is also possible to add it at an earlier step of the render pipeline, if a limited output of the previous stages of the rendering pipeline is desired.

A large screen which can show all render list items in fullscreen mode is recommended.
