# DebugPrintingStage

## Author

Fraunhofer IIS

## About

The DebugPrintingStage is an optional rendering stage for logging render item data. It is provided "as is" without any kind of warrenty. When added to the list of rendering stages, it will print out all rendering items which are available within the update thread at the given processing step of the rendering pipeline.

## Usage

The DebugPrintingStage is not activated by default. To do so, it must be added to the `MPEGI_DEFAULT_STAGES` list in `/CMakeLists.txt`. Adding it to the end of `MPEGI_DEFAULT_STAGES` will print out the final render item list as seen by the audio thread. It is also possible to add it at an earlier step of the render pipeline, if a limited output of the previous stages of the rendering pipeline is desired.
